/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DEF_PIANO_STRUCTS_H__
#define __DEF_PIANO_STRUCTS_H__

#include "main-app.h"
#include "view/window.h"
#include <player.h>
#include <Elementary.h>

typedef enum
{
	PIANO_NOTE_WHITE,
	PIANO_NOTE_BLACK
} piano_note_type_e;

struct note_struct;

typedef struct
{
	Evas_Object			*button;
	piano_note_type_e	type;
	char				sound_name[MAXNAMLEN];
	app_data			*ad;
	player_h			player;
	void				*next;
	void				*prev;
	Eina_Rectangle		rect;
}note_struct;

#endif // __DEF_PIANO_STRUCTS_H__
