/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DEF_PIANO_CALLBACKS_H__
#define __DEF_PIANO_CALLBACKS_H__

#include <Evas.h>

void piano_note_touch_down_cb(void *data, Evas *e, Evas_Object *button, void *event_info);
void piano_note_touch_up_cb(void *data, Evas *e, Evas_Object *button, void *event_info);
void piano_note_mouse_down_cb(void *data, Evas *e, Evas_Object *button, void *event_info);
void piano_note_mouse_up_cb(void *data, Evas *e, Evas_Object *button, void *event_info);
void piano_note_mouse_out_cb(void *data, Evas *e, Evas_Object *button, void *event_info);
void piano_note_mouse_in_cb(void *data, Evas *e, Evas_Object *button, void *event_info);
void piano_note_mouse_move_cb(void *data, Evas *e, Evas_Object *button, void *event_info);
Eina_Bool piano_note_timer_cb(void *data);

#endif /* __DEF_PIANO_CALLBACKS_H__ */
